Subiject: New TCA control property shadowColumnsForMovePlaceholders

Description

- new $TCA[<table>]['ctrl']['shadowColumnsForMovePlaceholders']
- which is evaluated in the DataHandlerHook of ext:version
- similar to the existing 'shadowColumnsForNewPlaceholders' but for move placeholders only
- on changing the sorting order of elements on the same page
- on moving elements to a different page
- move placeholders are only created if $TCA[<table>]['ctrl']['versioningWS'] is set to "2" (two - instead of "1" or "TRUE") to enable

this feature

Related issues:

related to Core - Task # 56376: Invalid relations of IRRE records in workspaces Resolved 2011-08-26
related to Core - Task # 56994: Introduce shadowColumnsForMovePlaceholders pr... Resolved 2014-03-17

Associated revisions

Revision ccd1c479 - 2014-03-31 19:13 - Francois Suter

[FEATURE] Document shadowColumnsForMovePlaceholders

Add documentation for new "ctrl" property

shadowColumnsForMovePlaceholders.

Resolves: #56749
Releases: 6.2

Change-Id: 17cdaOb0cbdc669cb307efaf5bb8cf093d1809db2
Reviewed-on: https://review.typo3.org/28991

Reviewed-by: Francois Suter

Tested-by: Francois Suter

History

#1 - 2014-03-21 15:20 - Ernesto Baschny

Also note that in the last version the shadowColumnsForMovePlaceholders uses shadowColumnsForNewPlaceholders as a fallback in case it is not

yet set, because this last setting already exists for a long time and should in most cases contain the exact same fields required for moving.

#2 - 2014-03-31 19:11 - Francois Suter
- Status changed from New to Accepted

- Assigned To set to Francois Suter

#3 - 2014-03-31 19:13 - Gerrit Code Review

- Status changed from Accepted to Under Review

2015-08-04
https://review.typo3.org/28991

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Tca has been pushed to the review server.

It is available at https://review.typo3.0rg/28991

#4 - 2014-03-31 19:42 - Francois Suter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ccd1c47923¢c143dc7304a78834d3bd7d230c30d9.

#5 - 2014-08-01 14:22 - Francois Suter
- Status changed from Resolved to Closed
